Bug 89123 - yp code in libc tricks memprof
Summary: yp code in libc tricks memprof
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-17 20:55 UTC by Havoc Pennington
Modified: 2016-11-24 15:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-23 22:07:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test app that creates confusion (906 bytes, text/plain)
2003-04-17 20:56 UTC, Havoc Pennington
no flags Details

Description Havoc Pennington 2003-04-17 20:55:23 UTC
Attached test app makes memprof think memory is slowly leaked, but 
it doesn't look like it really is.

Comment 1 Havoc Pennington 2003-04-17 20:56:33 UTC
Created attachment 91181 [details]
test app that creates confusion

Comment 2 Owen Taylor 2003-04-21 16:55:28 UTC
When I run this program (not under MemProf) the program slowly gets
bigger as shown in top ... maybe 20/30k per second. I suspect
it's just leaking.

[ Havoc later commented that valgrind also shows a leak ]

You probably need a NIS setup to reproduce the problem.


Comment 3 Ulrich Drepper 2003-04-23 22:07:09 UTC
I've checked in a patch in the official glibc CVS archive.  The next RPM will
contain the fix.


Note You need to log in before you can comment on or make changes to this bug.